import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface DividerCustomProps {
    kind?: "primary" | "secondary" | "tertiary";
}
export type DividerElementType = HTMLHRElement;
export type DividerProps = Omit<CommonAndHTMLProps<DividerElementType>, keyof DividerCustomProps> & DividerCustomProps;
export declare const Divider: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLHRElement>, "kind"> & DividerCustomProps & React.RefAttributes<HTMLHRElement>>;
